## Script (Python) "test_email"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=send_to
##title=Notify manager on submission of new content
##

portal = context.portal_url.getPortalObject()
portal_url = portal.absolute_url()
from_address = portal.email_from_address
from_name = portal.email_from_name
if from_name:
    from_line = '"%s" <%s>' % (from_name, from_address)
else:
    from_line = '<%s>' % from_address
to_address = send_to.getProperty('email')
to_name = send_to.getProperty('fullname')
if to_name:
    to_line = '"%s" <%s>' % (to_name, to_address)
else:
    to_line = '<%s>' % to_address

charset = portal.portal_properties.site_properties.default_charset

object_type = getattr(context, 'meta_type', 'Object')


header = """From: "%s" <%s>
To: "%s" <%s>
Subject: New %s submitted at %s
Content-Type: text/plain; charset=%s

""" % (from_name, from_address, to_name, to_address, object_type, portal_url, charset)

body = """%s
Title: %s
Description: %s
""" % (context.absolute_url(), context.Title(), context.Description())

return header + context.wrap_text(body, 68)